Bug 1563311 - After selecting filter basic search is cleared in datastores
Summary: After selecting filter basic search is cleared in datastores
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Angelina Nikiforova
URL:
Whiteboard: ui:datastore:filter
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 15:00 UTC by Matouš Mojžíš
Modified: 2019-08-22 00:54 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Description Matouš Mojžíš 2018-04-03 15:00:38 UTC
Description of problem:
This behavior is okay for me but I think it should be unified with other pages.

Version-Release number of selected component (if applicable):
5.9.2.0

How reproducible:
Always

Steps to Reproduce:
1. Go to Compute -> Infra -> Datastores
2. Search something with basic search
3. Select a Global Filter

Actual results:
Basic search is cleared.

Expected results:
Basic search should be set with filter as it is on other pages.

Additional info:

Comment 2 Hilda Stastna 2018-04-09 17:28:26 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3740

Comment 3 CFME Bot 2018-04-10 10:26:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/762808e86fdc307b39ac31f9b152b44931f779ec
commit 762808e86fdc307b39ac31f9b152b44931f779ec
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Mon Apr  9 13:12:51 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Mon Apr  9 13:12:51 2018 -0400

    Fix clearing search after selecting filter in Datastores

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1563311

    Fix clearing search after selecting filter, in Compute > Infrastructure > Datastores,
    by adding small change in apply_node_search_text method in storage controller.

 app/controllers/storage_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Matouš Mojžíš 2018-08-14 09:58:23 UTC
Verified in 5.10.0.8. Selecting global filter doesn't clear basic search.

Comment 6 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.